plcforum.uz.ua

International PLC Forum
It is currently Mon Jul 24, 2017 5:39 pm

All times are UTC + 3 hours


Forum rules


Please click here to view the forum rules



Post new topic Reply to topic  [ 5 posts ] 
Author Message
PostPosted: Wed Oct 12, 2016 10:40 pm 
Faq & Info
Faq & Info

Joined: Wed Oct 05, 2005 12:00 pm
Posts: 353
PLCSim Advanced (TIA Portal V14)
Quote:
The version of S7-PLCSIM Advanced supports the following SIMATIC CPU series:
● S7-1500, S7-1500F, S7-1500C, S7-1500T and S7-1500TF v2.0 only (not work with v2.1)
● ET 200SP and ET 200SP F

S7-PLCSIM Advanced V1.0 does not support the simulation of the following CPUs:
● S7-1200 CPUs [dead]
● ET 200pro, ET 200pro F CPUs [dead]
● ET 200SP Open Controller CPU 1515SP PC [dead]
● Software Controller [dead]

Communication
S7-PLCSIM Advanced supports communication via Softbus or TCP/IP.
S7 PLCSIM Advanced enables C++ and C# programs and simulation software to access
SIMATIC CPU series supported by S7-PLCSIM Advanced via the user interface (API).
S7-PLCSIM Advanced and S7-PLCSIM V14 (for S7-1200 and old S7-1500 v1.8) cannot be installed on the same PC or the same virtual machine.
The communication between the two applications cannot be simulated.
S7-PLCSIM V5.4 SP8 is automatically installed with S7-PLCSIM Advanced.
The communication between the two applications can be simulated.

===============================
S7-PLCSIM V14
The version of S7-PLCSIM supports the following SIMATIC CPU series:
● S7-1200 and S7-1200F (thnx)
● S7-1500, S7-1500F, S7-1500C, S7-1500T and S7-1500TF
● ET 200SP and ET 200SP F
Communication
S7-PLCSIM V14 supports communication via Softbus.

S7-PLCSIM V14 and S7-PLCSIM Advanced cannot be installed on the same PC or the same virtual machine.




Прояснилась ситуация с этим расширенным отладчиком - работает только со старыми версиями S7-1500 v2.0...
то есть в проекте надо заменять процессор на версию 2.0
The firmware within PLCSIM Advanced correlates with the firmware 2.0 of a PLC S7-15xx with firmware 2.0.

The download of a PLC with newer firmware versions > firmware 2.0 will end in an abortion of the download.
https://www.youtube.com/watch?v=Ird0ArHtMC8


Top
 Profile  
 
PostPosted: Mon Oct 24, 2016 5:28 pm 

Joined: Tue Dec 16, 2008 4:28 pm
Posts: 15
Location: Asia
Theoretically to test an OPC connection you might want to consider the classic PLCSIM v13 or V14 with NetToPlcSim
https://sourceforge.net/projects/nettoplcsim/
Last version should work with TIA too

Tia v14 introduced a new advanced simulator that is able to simulate also tcp open communications:
https://support.industry.siemens.com/cs/ww/en/ps/24442

anyone has a copy of it?
thanks


Top
 Profile  
 
PostPosted: Fri Mar 31, 2017 3:41 pm 

Joined: Wed Feb 29, 2012 10:41 am
Posts: 2
According to TIA V14 SP1 delivery notesa the trial version (21 days) will be available for SIMATIC PLCSIM Advanced V1.0 SP1 in April 2017.

https://support.industry.siemens.com/cs/document/109744304/delivery-release-of-tia-portal-v14-sp1?dti=0&lc=en-WW


Top
 Profile  
 
PostPosted: Thu Apr 13, 2017 11:11 am 

Joined: Wed Oct 13, 2010 11:44 am
Posts: 145
Location: Russian Federation
SIMATIC S7-PLCSIM Advanced V1.0 SP1 Trial Download is available.
https://support.industry.siemens.com/cs/document/109745647/delivery-release-simatic-s7-plcsim-advanced-v1-0-sp1-and-trial-download


Top
 Profile  
 
PostPosted: Thu Apr 13, 2017 12:09 pm 
Faq & Info
Faq & Info

Joined: Wed Oct 05, 2005 12:00 pm
Posts: 353
kill PLCSIM v14?
Image
Image
Ok
PLCSIM v14 killed... but no PLCSIM for test Portal (h)
Image
в общем непонятная фигня... по просьбе расширенного 1.0 убил PLCSIM v14
и теперь невозможно отлаживать, то что без проблем отлаживалось
шаг вперёд, два шага назад... (boom)
нам не нужен такой расширенный неотлаживающий отладчик

Прояснилась ситуация с этим расширенным отладчиком - работает только со старыми версиями S7-1500 v2.0... то есть в проекте надо заменять процессор на версию 2.0
The firmware within PLCSIM Advanced correlates with the firmware 2.0 of a PLC S7-15xx with firmware 2.0.

https://www.youtube.com/watch?v=Ird0ArHtMC8

A PLC with earlier firmwar versions e.g. firmware 1.8 can be downloaded to PLCSIM Advanced.
The download of a PLC with newer firmware versions firmware 2.1... will end in an abortion of the download.
install and see "New keys" folder
после установки смотри папку "Новые ключи"
Image
or wait/или жди
Image


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 5 posts ] 

All times are UTC + 3 hours


Who is online

Users browsing this forum: No registered users and 10 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  
Powered by International PLCforum® Forum Software © PLCforum
Mobile version